
From: Anton Blanchard <anton@samba.org>

gcc 3.5 is warning about unused static variables, add __attribute_unused__
to the 2 places to silence it.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/configs.c            |    2 +-
 25-akpm/lib/zlib_inflate/inftrees.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN kernel/configs.c~gcc-35-fixes-2 kernel/configs.c
--- 25/kernel/configs.c~gcc-35-fixes-2	2004-07-04 00:07:24.344797256 -0700
+++ 25-akpm/kernel/configs.c	2004-07-04 00:07:24.350796344 -0700
@@ -58,7 +58,7 @@
 /**************************************************/
 /* globals and useful constants                   */
 
-static const char IKCONFIG_VERSION[] __initdata = "0.7";
+static const char IKCONFIG_VERSION[] __attribute_used__ __initdata = "0.7";
 
 static ssize_t
 ikconfig_read_current(struct file *file, char __user *buf,
diff -puN lib/zlib_inflate/inftrees.c~gcc-35-fixes-2 lib/zlib_inflate/inftrees.c
--- 25/lib/zlib_inflate/inftrees.c~gcc-35-fixes-2	2004-07-04 00:07:24.345797104 -0700
+++ 25-akpm/lib/zlib_inflate/inftrees.c	2004-07-04 00:07:24.351796192 -0700
@@ -7,7 +7,7 @@
 #include "inftrees.h"
 #include "infutil.h"
 
-static const char inflate_copyright[] =
+static const char inflate_copyright[] __attribute_used__ =
    " inflate 1.1.3 Copyright 1995-1998 Mark Adler ";
 /*
   If you use the zlib library in a product, an acknowledgment is welcome
_
